Jump to content
EmilyB

Text box auto resize

Recommended Posts

EmilyB

Hello,

 

Is there any way to automatically re-size text boxes to fit text?

 

The reason I ask is that I've got background mask on all my text and have just reduced the text size by half - I'm not looking forward to resizing each box.....

 

Thanks for your time,

Emily

Share this post


Link to post
Share on other sites
CyberAngel

Welcome to the forum!

 

There is no way to do that, as far as I know. It would be nice if AutoCAD resized mtext width automatically when you changed the height. Something for the Wish List, I guess....

Share this post


Link to post
Share on other sites
EmilyB

Thanks for your help!

 

Sounds like its time to get the ipod out while I start resizing!!

 

Cheers,

Emily

Share this post


Link to post
Share on other sites
ccowgill

are you referring to the box that is created when using the express tool textmask? if so, it may be quicker to TEXTUNMASK then TEXTMASK each text entity.

Share this post


Link to post
Share on other sites
designerstuart

if a load of the mtexts are the same size, you can at least do one the right size, then match properties for the rest.

partial answer at best i'm afraid!

Share this post


Link to post
Share on other sites
EmilyB

Thanks for all your advice.

 

Unfortunately I can't match properties as my text is all at different angles.

 

I'll look into the textmask tool as that sounds it'd be helpful to use for new text - just in case I have to resize again.

 

Cheers,

Emily

Share this post


Link to post
Share on other sites
ccowgill

if you use the background mask that is a mtext property, it should automatically resize. and if TextUnmask doesnt get rid of the mask, it sounds like someone created a wipeout manually and put it behind the text.

Share this post


Link to post
Share on other sites
Lee Mac

Would something like this work?

 

(defun c:UpdateMTextWidth ( / ss i e ) (vl-load-com)
 ;; © Lee Mac 2011
 
 (if (setq ss (ssget "_:L" '((0 . "MTEXT"))))
   (repeat (setq i (sslength ss))
     (vla-put-width (vlax-ename->vla-object (setq e (ssname ss (setq i (1- i)))))
       (* 1.05 (cdr (assoc 42 (entget e))))
     )
   )
 )

 (princ)
)

Share this post


Link to post
Share on other sites
ccowgill

I stand corrected, if the mtext has a predefined width, the background mask will not automatically resize. I completely forgot about predefined width, as most of our notes do not have widths.

Share this post


Link to post
Share on other sites
bapatri

Lee Mac is Amazing

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×